### Method

# Soup MessageBody wrote_chunk

#### Declaration [src]

    void
    soup_message_body_wrote_chunk (
      SoupMessageBody* body,
      GBytes* chunk
    )

#### Description [src]

Handles the `SoupMessageBody` part of writing a chunk of data to the network.

Normally this is a no-op, but if you have set `body`‘s accumulate flag to `FALSE`, then this will cause `chunk` to be discarded to free up memory.

This is a low-level method which you should not need to use, and there are further restrictions on its proper use which are not documented here.

#### Parameters

`chunk`

  Type: `GBytes`

  A `GBytes` returned from `soup_message_body_get_chunk()`.

  The data is owned by the caller of the method.